LINUX.ORG.RU
ФорумAdmin

Не работает команда apt-get install g++


0

1

Стоит Ubuntu 9.04

выдается ошибка
Err http://archive.ubuntu.com jaunty/main libstdc++6-4.3-dev 4.3.3-5ubuntu4
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty/main g++-4.3 4.3.3-5ubuntu4
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty/main g++ 4:4.3.3-1ubuntu1
404 Not Found [IP: 91.189.88.30 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-4.3/libstdc++6-4.3-dev_4.3.3... 404 Not Found [IP: 91.189.88.30 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-4.3/g++-4.3_4.3.3-5ubuntu4_i... 404 Not Found [IP: 91.189.88.30 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-defaults/g++_4.3.3-1ubuntu1_... 404 Not Found [IP: 91.189.88.30 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?


Содержимое файла
/etc/apt/sources.list
deb http://archive.ubuntu.com/ubuntu jaunty main restricted universe
deb http://archive.ubuntu.com/ubuntu jaunty-updates main restricted universe
deb http://archive.ubuntu.com/ubuntu jaunty-security main restricted universe

Подскажите, пожалуйста как решить проблему?

Ответ на: комментарий от anonymous

apt-get update
тоже не работает
выдаются ошибки

apt-get update
Ign http://archive.ubuntu.com jaunty Release.gpg
Ign http://archive.ubuntu.com jaunty-updates Release.gpg
Ign http://archive.ubuntu.com jaunty-security Release.gpg
Ign http://archive.ubuntu.com jaunty Release
Ign http://archive.ubuntu.com jaunty-updates Release
Ign http://archive.ubuntu.com jaunty-security Release
Ign http://archive.ubuntu.com jaunty/main Packages
Ign http://archive.ubuntu.com jaunty/restricted Packages
Ign http://archive.ubuntu.com jaunty/universe Packages
Ign http://archive.ubuntu.com jaunty-updates/main Packages
Ign http://archive.ubuntu.com jaunty-updates/restricted Packages
Ign http://archive.ubuntu.com jaunty-updates/universe Packages
Ign http://archive.ubuntu.com jaunty-security/main Packages
Ign http://archive.ubuntu.com jaunty-security/restricted Packages
Ign http://archive.ubuntu.com jaunty-security/universe Packages
Ign http://archive.ubuntu.com jaunty/main Packages
Ign http://archive.ubuntu.com jaunty/restricted Packages
Ign http://archive.ubuntu.com jaunty/universe Packages
Ign http://archive.ubuntu.com jaunty-updates/main Packages
Ign http://archive.ubuntu.com jaunty-updates/restricted Packages
Ign http://archive.ubuntu.com jaunty-updates/universe Packages
Ign http://archive.ubuntu.com jaunty-security/main Packages
Ign http://archive.ubuntu.com jaunty-security/restricted Packages
Ign http://archive.ubuntu.com jaunty-security/universe Packages
Err http://archive.ubuntu.com jaunty/main Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty/restricted Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty/universe Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty-updates/main Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty-updates/restricted Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty-updates/universe Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty-security/main Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty-security/restricted Packages
404 Not Found [IP: 91.189.88.30 80]
Err http://archive.ubuntu.com jaunty-security/universe Packages
404 Not Found [IP: 91.189.88.30 80]

Mixaluch384 ()
Ответ на: комментарий от Mixaluch384
sudo echo "deb http://archive.ubuntu.com/ubuntu lucid main restricted universe multiverse" > /etc/apt/sources.list
sudo echo "deb http://archive.ubuntu.com/ubuntu lucid-updates main restricted universe multiverse" >> /etc/apt/sources.list
sudo echo "deb http://archive.ubuntu.com/ubuntu lucid-security main restricted universe multiverse" >> /etc/apt/sources.list
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get install g++

Эти команды обновят систему до 10.04 версии и поставят g++.

damnemall ()
Ответ на: комментарий от damnemall

>Эти команды обновят систему до 10.04 версии
Зачем ему это?
Обновляться проще с помощью графического инсталлятора либо aptitude. Но с 9.04 до 10.04 лучше не обновляться.
А вообще вроде бы старые пакеты лежат на old-releases.ubuntu.com, так можно поменять источники и оттуда поставить.

proud_anon ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.